﻿@{
    bool _Update = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ScaleMaster.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _Add = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ScaleMaster.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _Delete = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ScaleMaster.ToDescriptionString() && c.InternalKey == Enums.Actions.Delete.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _View = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ScaleMaster.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
}

<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <h3 class="panel-title">@Scale.ScaleList </h3>
    </div>
    <div class="panel-body">
        <div class="table-responsive">
            <table class="table table-striped" id="styleTable">
                <thead>
                    <tr>
                        <th>@Scale.Code</th>
                        <th>@Scale.Desc</th>
                        <th>@Scale.Active</th>
                        <th>&nbsp;</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (ScaleView item in Model)
                    {
                        <tr>
                            <td>
                                @item.U_SclCode
                            </td>
                            <td>@item.U_SclDesc</td>


                            <td>
                                @if (item.U_Active == "Y")
                                {
                                    @Scale.Yes
                                }
                                else
                                {
                                    @Scale.No
                                }

                            </td>
                            <td>
                                @if (_View)
                                {
                                    <a id="link-@item.Code" href='#collapse-@item.Code' data-parent="#styleTable" data-toggle="collapse" class="btn btn-primary btn-xs" onclick="showSizes('@item.Code');"><span class="glyphicon glyphicon-eye-open"></span>&nbsp;@Scale.View</a>
                                }
                            </td>
                        </tr>
                        <tr style="display:none;"></tr>
                        <tr class="collapse table_tallas" id="collapse-@item.Code" style="display:none;">
                            <td colspan="4" id="tdInfo-@item.Code">
                                <div id="LoadingSizes" style="display:none">
                                    <img src="~/Content/img/fountain.GIF" />
                                </div>
                            </td>
                        </tr>
                    }
                </tbody>
            </table>
        </div>
    </div>
</div>

@*<div class="col-md-2 pull-right">
        <a href='@Url.Action("Action", "Color", new { @pAction = "Add", @pCode = 0 })' class="btn btn-success btn-ls pull-right ">
            <span class="glyphicon glyphicon-file"></span>&nbsp;@Color.Addnew
        </a>
    </div>*@


